package cn.com.countrygarden.bi.main.service.phoenix;

import cn.com.countrygarden.bi.main.model.PageData;
import cn.com.countrygarden.bi.main.model.phoenix.PhoenixSalesBuild;
import cn.com.countrygarden.bi.main.model.phoenix.PhoenixSalesProject;

import java.util.List;

public interface PhoenixSalesBuildService {

    List<PhoenixSalesBuild> sync(String areaId);

    List<PhoenixSalesBuild> persistence(String areaId);

    List<PhoenixSalesBuild> persistence(String areaId, String areaName);

    void persistenceBatch();

    PageData search(String areaId, int page, int pageSize);
}
